--[[

----
---- PLEASE READ BEFORE DOING ANYTHING ----
----

Only fonts should be added to this addon. If you wish to add textures, sounds, ... create your own addon or use an existing one if there is one.
All fonts must be able to display special characters such as , , , , , , ... Remember that not all the users use the English client!

Don't add a font that you did not test. All fonts must be tested in game before upload. If you want to add a font and test it later, please add it under
the "NOT TESTED" line.

Thanks for your cooperation! ;-)
pb_ee1

]]

local SML = AceLibrary("SharedMedia-1.0")
SharedMediaAdditionalFonts = AceLibrary("AceAddon-2.0"):new()

function SharedMediaAdditionalFonts:OnInitialize()
	local SML = AceLibrary:HasInstance("SharedMedia-1.0") and AceLibrary("SharedMedia-1.0") or nil
	if SML then

-- -----
--   FONT
-- -----
		--[[ VALID + Fonts that have been approved by the community.]]
		
		--[[ IN TEST + Fonts that are being tested and may (or may not) be validated by the community. ]]
		SML:Register("font", "Alba Super",				[[Interface\Addons\SharedMediaAdditionalFonts\fonts\ALBAS___.ttf]])
		SML:Register("font", "Blazed",					[[Interface\Addons\SharedMediaAdditionalFonts\fonts\Blazed.ttf]])
		SML:Register("font", "Diogenes",				[[Interface\Addons\SharedMediaAdditionalFonts\fonts\DIOGENES.ttf]])
		SML:Register("font", "Disko",					[[Interface\Addons\SharedMediaAdditionalFonts\fonts\Disko.ttf]])
		SML:Register("font", "Frakturika Spamless",		[[Interface\Addons\SharedMediaAdditionalFonts\fonts\FRAKS___.ttf]])
		SML:Register("font", "Mystic Orbs",				[[Interface\Addons\SharedMediaAdditionalFonts\fonts\MystikOrbs.ttf]])
		SML:Register("font", "Pokemon Solid",			[[Interface\Addons\SharedMediaAdditionalFonts\fonts\Pokemon Solid.ttf]])
		SML:Register("font", "Rock Show Whiplash",		[[Interface\Addons\SharedMediaAdditionalFonts\fonts\Rock Show Whiplash.ttf]])
		SML:Register("font", "Solange",					[[Interface\Addons\SharedMediaAdditionalFonts\fonts\Solange.ttf]])
		SML:Register("font", "Star Cine",				[[Interface\Addons\SharedMediaAdditionalFonts\fonts\starcine.ttf]])
		SML:Register("font", "Trashco",					[[Interface\Addons\SharedMediaAdditionalFonts\fonts\trashco.ttf]])
		SML:Register("font", "Waltograph UI",			[[Interface\Addons\SharedMediaAdditionalFonts\fonts\waltographUI.ttf]])
		
		--[[ NOT TESTED + Fonts that have not been tested. ]]
		
	end
end